# VNF Lcm commands

VNF LCM commands are CLI interface of VNF Lifecycle Management Interface in ETSI NFV-SOL 002 and ETSI NFV-SOL 003.

Note

Commands call version 1 vnflcm APIs by default. You can call the specific version of vnflcm APIs by using the option --os-tacker-api-version. Commands with --os-tacker-api-version 2 call version 2 vnflcm APIs. vnflcm op cancel is included in only version 1 vnflcm APIs and change-vnfpkg is included in only version 2 vnflcm APIs.

## vnflcm change-ext-conn

Change External VNF Connectivity

    openstack vnflcm change-ext-conn <vnf-instance> <param-file>

vnf-instance

  VNF instance ID to Change External VNF Connectivity

param-file

  Specify change-ext-conn request parameters in a json file.

This command is provided by the python-tackerclient plugin.

## vnflcm create

Create a new VNF Instance

    openstack vnflcm create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--name <vnf-instance-name>]
        [--description <vnf-instance-description>]
        [--I <param-file>]
        <vnfd-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--name <vnf-instance-name>

  Name of the VNF instance to be created.

--description <vnf-instance-description>

  Description of the VNF instance to be created.

--I <param-file>

  Instantiate VNF subsequently after it’s creation. Specify instantiate request parameters in a json file.

vnfd-id

  Identifier that identifies the VNFD which defines the VNF instance to be created.

This command is provided by the python-tackerclient plugin.

## vnflcm delete

Delete VNF Instance(s)

    openstack vnflcm delete <vnf-instance> [<vnf-instance> ...]

vnf-instance

  VNF instance ID(s) to delete

This command is provided by the python-tackerclient plugin.

## vnflcm heal

Heal VNF Instance

    openstack vnflcm heal
        [--cause CAUSE]
        [--vnfc-instance <vnfc-instance-id> [<vnfc-instance-id> ...]]
        [--additional-param-file <additional-param-file>]
        <vnf-instance>

--cause <CAUSE>

  Specify the reason why a healing procedure is required.

--vnfc-instance <vnfc-instance-id>

  List of VNFC instances requiring a healing action.

--additional-param-file <additional-param-file>

  Additional parameters passed by the NFVO as input to the healing process.

vnf-instance

  VNF instance ID to heal

This command is provided by the python-tackerclient plugin.

## vnflcm instantiate

Instantiate a VNF Instance

    openstack vnflcm instantiate <vnf-instance> <param-file>

vnf-instance

  VNF instance ID to instantiate

param-file

  Specify instantiate request parameters in a json file.

This command is provided by the python-tackerclient plugin.

## vnflcm list

List VNF Instance

    openstack vnflcm list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

This command is provided by the python-tackerclient plugin.

## vnflcm op cancel

Cancel VNF Instance

    openstack vnflcm op cancel
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--cancel-mode <cancel-mode>]
        <vnf-lcm-op-occ-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--cancel-mode <cancel-mode>

  Cancel mode can be ‘GRACEFUL’ or ‘FORCEFUL’. Default is ‘GRACEFUL’

vnf-lcm-op-occ-id

  VNF lifecycle management operation occurrence ID.

This command is provided by the python-tackerclient plugin.

## vnflcm op fail

Fail VNF Instance

    openstack vnflcm op fail
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-lcm-op-occ-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-lcm-op-occ-id

  VNF lifecycle management operation occurrence ID.

This command is provided by the python-tackerclient plugin.

## vnflcm op list

List LCM Operation Occurrences

    openstack vnflcm op list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter <filter>]
        [--fields <fields> | --exclude-fields <exclude-fields>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <filter>

  Attribute-based-filtering parameters

--fields <fields>

  Complex attributes to be included into the response

--exclude-fields <exclude-fields>

  Complex attributes to be excluded from the response

This command is provided by the python-tackerclient plugin.

## vnflcm op retry

Retry VNF Instance

    openstack vnflcm op retry <vnf-lcm-op-occ-id>

vnf-lcm-op-occ-id

  VNF lifecycle management operation occurrence ID.

This command is provided by the python-tackerclient plugin.

## vnflcm op rollback

    openstack vnflcm op rollback <vnf-lcm-op-occ-id>

vnf-lcm-op-occ-id

  VNF lifecycle management operation occurrence ID.

This command is provided by the python-tackerclient plugin.

## vnflcm op show

Display Operation Occurrence details

    openstack vnflcm op show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-lcm-op-occ-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-lcm-op-occ-id

  VNF lifecycle management operation occurrence ID.

This command is provided by the python-tackerclient plugin.

## vnflcm scale

Scale a VNF Instance

    openstack vnflcm scale
        [--number-of-steps <number-of-steps>]
        [--additional-param-file <additional-param-file>]
        --type <type>
        --aspect-id <aspect-id>
        <vnf-instance>

--number-of-steps <number-of-steps>

  Number of scaling steps to be executed as part of this Scale VNF operation.

--additional-param-file <additional-param-file>

  Additional parameters passed by the NFVO as input to the scaling process.

--type <type>

  SCALE_OUT or SCALE_IN for type of scale operation.

--aspect-id <aspect-id>

  Identifier of the scaling aspect.

vnf-instance

  VNF instance ID to scale

This command is provided by the python-tackerclient plugin.

## vnflcm show

Display VNF instance details

    openstack vnflcm show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <vnf-instance>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

vnf-instance

  VNF instance ID to display

This command is provided by the python-tackerclient plugin.

## vnflcm subsc create

Create a new Lccn Subscription

    openstack vnflcm subsc create
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <param-file>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

param-file

  Specify create request parameters in a json file.

This command is provided by the python-tackerclient plugin.

## vnflcm subsc delete

Delete Lccn Subscription(s)

    openstack vnflcm subsc delete <subscription-id> [<subscription-id> ...]

subscription-id

  Lccn Subscription ID(s) to delete

This command is provided by the python-tackerclient plugin.

## vnflcm subsc list

List Lccn Subscriptions

    openstack vnflcm subsc list
        [-f {csv,json,table,value,yaml}]
        [-c COLUMN]
        [--quote {all,minimal,none,nonnumeric}]
        [--noindent]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--filter <filter>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--quote <QUOTE_MODE>

  when to include quotes, defaults to nonnumeric

--noindent

  whether to disable indenting the JSON

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--filter <filter>

  Attribute-based-filtering parameters

This command is provided by the python-tackerclient plugin.

## vnflcm subsc show

Display Lccn Subscription details

    openstack vnflcm subsc show
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        <subscription-id>

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

subscription-id

  Lccn Subscription ID to display

This command is provided by the python-tackerclient plugin.

## vnflcm terminate

Terminate a VNF instance

    openstack vnflcm terminate
        [--termination-type <termination-type>]
        [--graceful-termination-timeout <graceful-termination-timeout>]
        [--D]
        <vnf-instance>

--termination-type <termination-type>

  Termination type can be ‘GRACEFUL’ or ‘FORCEFUL’. Default is ‘GRACEFUL’

--graceful-termination-timeout <graceful-termination-timeout>

  This attribute is only applicable in case of graceful termination. It defines the time to wait for the VNF to be taken out of service before shutting down the VNF and releasing the resources. The unit is seconds.

--D

  Delete VNF Instance subsequently after it’s termination

vnf-instance

  VNF instance ID to terminate

This command is provided by the python-tackerclient plugin.

## vnflcm update

Update VNF Instance

    openstack vnflcm update [--I <param-file>] <vnf-instance>

--I <param-file>

  Specify update request parameters in a json file.

vnf-instance

  VNF instance ID to update.

This command is provided by the python-tackerclient plugin.

## vnflcm versions

Show VnfLcm Api versions

    openstack vnflcm versions
        [-f {json,shell,table,value,yaml}]
        [-c COLUMN]
        [--noindent]
        [--prefix PREFIX]
        [--max-width <integer>]
        [--fit-width]
        [--print-empty]
        [--major-version <major-version>]

-f <FORMATTER>, --format <FORMATTER>

  the output format, defaults to table

-c COLUMN, --column COLUMN

  specify the column(s) to include, can be repeated to show multiple columns

--noindent

  whether to disable indenting the JSON

--prefix <PREFIX>

  add a prefix to all variable names

--max-width <integer>

  Maximum display width, <1 to disable. You can also use the CLIFF_MAX_TERM_WIDTH environment variable, but the parameter takes precedence.

--fit-width

  Fit the table to the display width. Implied if –max-width greater than 0. Set the environment variable CLIFF_FIT_WIDTH=1 to always enable

--print-empty

  Print empty table if there is no data to show.

--major-version <major-version>

  Show only specify major version.

This command is provided by the python-tackerclient plugin.

## vnflcm change-vnfpkg

Change Current VNF Package

    openstack vnflcm change-vnfpkg <vnf-instance> <param-file>

vnf-instance

  VNF instance ID to Change Current VNF Package

param-file

  Specify change-vnfpkg request parameters in a json file.

This command is provided by the python-tackerclient plugin.

this page last updated: 2025-02-13 15:52:31

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug